using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
// 
class prog{

    static void Main(){

        // ispis 3 seta, prva dva idelana, treci na 2 razlike

        int n = int.Parse(Console.ReadLine());
        int a = int.Parse(Console.ReadLine());           

        //ukuono poena manje nego sto je moguce
        if(n < a*3){
            Console.WriteLine(-1);
            return;
        }
        //broj poena jednak minimalnom, sva tri seta

        if(n == a*3){
            Console.WriteLine("{0} {1}", a, 0);
            Console.WriteLine("{0} {1}", a, 0);
            Console.WriteLine("{0} {1}", a, 0);
            return;
        }
        //ispis poena za 3 seta
        int poena = 0;

        Console.WriteLine("{0} {1}", a,0);
        poena +=a;

        if(n % 2 == 0){
            Console.WriteLine("{0} {1}", a,0);
            poena += a;
        }
        else{
            Console.WriteLine("{0} {1}", a,1);
            poena += a;
        }
        int pos_set = n - poena;

        if(pos_set <= 2*a-2){

            Console.WriteLine("{0} {1}", a,pos_set-a);
        } else {

            Console.WriteLine("{0} {1}", pos_set/2+1,pos_set/2-1);
        }


    }
}